diff get_source.sh @ 613:8dd61906da5f

8007625: race with nested repos in /common/bin/hgforest.sh Reviewed-by: dholmes, ohair, ohrstrom
author chegar
date Wed, 06 Feb 2013 11:36:19 +0000
parents 8e36a0fabf58
children
line wrap: on
line diff
--- a/get_source.sh	Thu Jan 31 17:04:19 2013 -0800
+++ b/get_source.sh	Wed Feb 06 11:36:19 2013 +0000
@@ -26,7 +26,7 @@
 #
 
 # Get clones of all nested repositories
-sh ./common/bin/hgforest.sh clone "$@"
+sh ./common/bin/hgforest.sh clone "$@" || exit 1
 
 # Update all existing repositories to the latest sources
 sh ./common/bin/hgforest.sh pull -u